{-----------------------------------------------------------------------------
The contents of this file are subject to the Mozilla Public License
Version 1.1 (the "License"); you may not use this file except in compliance
with the License. You may obtain a copy of the License at
http://www.mozilla.org/MPL/MPL-1.1.html

Software distributed under the License is distributed on an "AS IS" basis,
WITHOUT WARRANTY OF ANY KIND, either expressed or implied. See the License for
the specific language governing rights and limitations under the License.

The Original Code is: JvDBActionsEngineDatasetDBExpress.Pas, released on 2004-12-30.

The Initial Developer of the Original Code is Jens Fudickar [jens dott fudicker  att oratool dott de]
Portions created by Jens Fudickar are Copyright (C) 2002 Jens Fudickar.
All Rights Reserved.

Contributor(s): -

You may retrieve the latest version of this file at the Project JEDI's JVCL home page,
located at http://jvcl.sourceforge.net

Known Issues:
-----------------------------------------------------------------------------}
// $Id: JvDBActionsEngineDatasetDBExpress.pas 11047 2006-11-27 07:25:28Z marquardt $

unit JvDBActionsEngineDatasetDBExpress;

{$I jvcl.inc}

interface

uses
  {$IFDEF UNITVERSIONING}
  JclUnitVersioning,
  {$ENDIF UNITVERSIONING}
  Controls, Classes, DB,
  JvDBActionsEngine;

type
  TJvDatabaseActionDBExpressDatasetEngine = class(TJvDatabaseActionBaseDatasetEngine)
  public
    function GetSQL: string; override;
    function Supports(ADataComponent: TComponent): Boolean; override;
    function SupportsGetSQL: Boolean; override;
  end;

{$IFDEF UNITVERSIONING}
const
  UnitVersioning: TUnitVersionInfo = (
    RCSfile: '$URL: https://jvcl.svn.sourceforge.net/svnroot/jvcl/tags/JVCL3_32/run/JvDBActionsEngineDatasetDBExpress.pas $';
    Revision: '$Revision: 11047 $';
    Date: '$Date: 2006-11-27 08:25:28 +0100 (lun., 27 nov. 2006) $';
    LogPath: 'JVCL\run'
    );
{$ENDIF UNITVERSIONING}

implementation

uses
  SqlExpr;

function TJvDatabaseActionDBExpressDatasetEngine.GetSQL: string;
begin
  Result := TSQLQuery(Dataset).SQL.Text;
end;

function TJvDatabaseActionDBExpressDatasetEngine.Supports(ADataComponent: TComponent): Boolean;
begin
  Result := (ADataComponent is TSQLQuery);
end;

function TJvDatabaseActionDBExpressDatasetEngine.SupportsGetSQL: Boolean;
begin
  Result := Assigned(Dataset);
end;

procedure InitActionEngineList;
begin
  RegisterActionEngine(TJvDatabaseActionDBExpressDatasetEngine);
end;

initialization
  {$IFDEF UNITVERSIONING}
  RegisterUnitVersion(HInstance, UnitVersioning);
  {$ENDIF UNITVERSIONING}
  InitActionEngineList;

finalization
  {$IFDEF UNITVERSIONING}
  UnregisterUnitVersion(HInstance);
  {$ENDIF UNITVERSIONING}

end.

